Arch SplitMesh/fr: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Created page with "{{docnav/fr |Arch Composant Clone |Arch Maillage vers un objet shape |Atelier Architecture |IconL=Arch_Co...")
Line 1: Line 1:
<languages/>
<languages/>
{{docnav/fr
{{docnav|[[Arch_CloneComponent|Clone component]]|[[Arch_MeshToShape|Mesh To Shape]]|[[Arch_Module|Arch]]|IconL=Arch_Component_Clone.svg |IconC=Workbench_Arch.svg |IconR=Arch_MeshToShape.svg}}
|[[Arch_CloneComponent/fr|Arch Composant Clone]]
|[[Arch_MeshToShape/fr|Arch Maillage vers un objet shape]]
|[[Arch_Module/fr|Atelier Architecture]]
|IconL=Arch_Component_Clone.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_MeshToShape.svg
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">

Revision as of 08:40, 20 July 2019

Arch Sépartation d'un objet Mesh

Emplacement du menu
Arch → Utilitaires → Split Mesh
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch SelectNonSolidMeshes

Description

Cet outil sépare les composants d'un objet Mesh sélectionné

Utilisation

  1. Sélectionnez un objet mesh
  2. Cliquez sur le bouton Split Mesh dans Arch -> menu Utilitaires

Script

L'outil Split Mesh est utilisable dans une macro et dans la console python en utilisant la fonction suivante :

new_list = splitMesh(obj, mark=True)

Sépare les composants de l'objet maille

Example:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

new_list = Arch.splitMesh(mesh_obj)